# NOTE: for perl binding, see perl-Search-Xapian.spec
#
# Conditional build:
%bcond_without	dotnet		# C# bindings
%bcond_without	java		# Java bindings
%bcond_without	lua		# Lua bindings
%bcond_without	php		# PHP bindings
%bcond_without	python		# Python bindings
%bcond_without	ruby		# Ruby bindings
%bcond_without	tcl		# Tcl bindings

Summary:	Bindings for Xapian
Summary(pl.UTF-8):	Wiązania do Xapiana
Name:		xapian-bindings
Version:	1.2.12
Release:	2
License:	GPL v2+
Group:		Development/Languages
Source0:	http://oligarchy.co.uk/xapian/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	9331d7885a68470184ba3d3e8c2b57d5
URL:		http://www.xapian.org/
%{?with_java:BuildRequires:	jdk}
%{?with_java:BuildRequires:	jpackage-utils}
%{?with_lua:BuildRequires:	lua51-devel >= 5.1}
# 2.6.x should be sufficient, but 2.11.1 complaints about write permissions to /usr/share/.mono/keypairs
%{?with_dotnet:BuildRequires:	mono-devel >= 2.11.4}
%{?with_php:BuildRequires:	php-devel >= 4:5.0.4}
BuildRequires:	pkgconfig
%{?with_python:BuildRequires:	python-devel >= 2.3}
BuildRequires:	python-modules >= 2.3
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.665
%{?with_ruby:BuildRequires:	ruby-devel >= 1.8}
%{?with_ruby:BuildRequires:	ruby-modules >= 1.8}
%{?with_ruby:BuildRequires:	rpm-rubyprov}
%{?with_tcl:BuildRequires:	tcl-devel >= 8.1}
BuildRequires:	xapian-core-devel >= %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Xapian is an Open Source Probabilistic Information Retrieval Library.
It offers a highly adaptable toolkit that allows developers to easily
add advanced indexing and search facilities to applications. This
package is a collection of bindings for different programming
languages.

%description -l pl.UTF-8
Xapian to mająca otwarte źródła biblioteka do uzyskiwania informacji
probabilistycznych. Oferuje wysoce adoptowalne narzędzia pozwalające
programistom łatwo dodawać do aplikacji zaawansowane możliwości
indeksowania i wyszukiwania. Ten pakiet zawiera zestaw wiązań dla
różnych języków programowania.

%package -n dotnet-xapian
Summary:	Files needed for developing C# applications which use Xapian
Summary(pl.UTF-8):	Pliki do tworzenia aplikacji C# wykorzystujących Xapiana
Group:		Development/Languages
Requires:	mono >= 2.6.7
Obsoletes:	csharp-xapian

%description -n dotnet-xapian
Xapian is an Open Source Probabilistic Information Retrieval
framework. It offers a highly adaptable toolkit that allows developers
to easily add advanced indexing and search facilities to applications.
This package provides the files needed for developing C# applications
which use Xapian.

%description -n dotnet-xapian -l pl.UTF-8
Xapian to mająca otwarte źródła biblioteka do uzyskiwania informacji
probabilistycznych. Oferuje wysoce adoptowalne narzędzia pozwalające
programistom łatwo dodawać do aplikacji zaawansowane możliwości
indeksowania i wyszukiwania. Ten pakiet zawiera pliki potrzebne przy
tworzeniu aplikacji C# wykorzystujących Xapiana.

%package -n java-xapian
Summary:	Files needed for developing Java applications which use Xapian
Summary(pl.UTF-8):	Pliki do tworzenia aplikacji Javy wykorzystujących Xapiana
Group:		Libraries/Java
Requires:	jpackage-utils
Requires:	jre

%description -n java-xapian
Xapian is an Open Source Probabilistic Information Retrieval
framework. It offers a highly adaptable toolkit that allows developers
to easily add advanced indexing and search facilities to applications.
This package provides the files needed for developing Java
applications which use Xapian.

%description -n java-xapian -l pl.UTF-8
Xapian to mająca otwarte źródła biblioteka do uzyskiwania informacji
probabilistycznych. Oferuje wysoce adoptowalne narzędzia pozwalające
programistom łatwo dodawać do aplikacji zaawansowane możliwości
indeksowania i wyszukiwania. Ten pakiet zawiera pliki potrzebne przy
tworzeniu aplikacji Javy wykorzystujących Xapiana.

%package -n lua-xapian
Summary:	Files needed for developing Lua scripts which use Xapian
Summary(pl.UTF-8):	Pliki do tworzenia skryptów w języku Lua wykorzystujących Xapiana
Group:		Development/Languages
Requires:	lua51-libs

%description -n lua-xapian
Xapian is an Open Source Probabilistic Information Retrieval
framework. It offers a highly adaptable toolkit that allows developers
to easily add advanced indexing and search facilities to applications.
This package provides the files needed for developing Lua scripts
which use Xapian.

%description -n lua-xapian -l pl.UTF-8
Xapian to mająca otwarte źródła biblioteka do uzyskiwania informacji
probabilistycznych. Oferuje wysoce adoptowalne narzędzia pozwalające
programistom łatwo dodawać do aplikacji zaawansowane możliwości
indeksowania i wyszukiwania. Ten pakiet zawiera pliki potrzebne przy
tworzeniu skryptów w języku Lua wykorzystujących Xapiana.

%package -n php-xapian
Summary:	Files needed for developing PHP scripts which use Xapian
Summary(pl.UTF-8):	Pliki do tworzenia skryptów w PHP wykorzystujących Xapiana
Group:		Development/Languages/PHP
%{?requires_php_extension}

%description -n php-xapian
Xapian is an Open Source Probabilistic Information Retrieval
framework. It offers a highly adaptable toolkit that allows developers
to easily add advanced indexing and search facilities to applications.
This package provides the files needed for developing PHP scripts
which use Xapian.

%description -n php-xapian -l pl.UTF-8
Xapian to mająca otwarte źródła biblioteka do uzyskiwania informacji
probabilistycznych. Oferuje wysoce adoptowalne narzędzia pozwalające
programistom łatwo dodawać do aplikacji zaawansowane możliwości
indeksowania i wyszukiwania. Ten pakiet zawiera pliki potrzebne przy
tworzeniu skryptów w PHP wykorzystujących Xapiana.

%package -n python-xapian
Summary:	Files needed for developing Python scripts which use Xapian
Summary(pl.UTF-8):	Pliki do tworzenia skryptów w Pythonie wykorzystujących Xapiana
Group:		Development/Languages/Python
%pyrequires_eq	python-modules

%description -n python-xapian
Xapian is an Open Source Probabilistic Information Retrieval
framework. It offers a highly adaptable toolkit that allows developers
to easily add advanced indexing and search facilities to applications.
This package provides the files needed for developing Python scripts
which use Xapian.

%description -n python-xapian -l pl.UTF-8
Xapian to mająca otwarte źródła biblioteka do uzyskiwania informacji
probabilistycznych. Oferuje wysoce adoptowalne narzędzia pozwalające
programistom łatwo dodawać do aplikacji zaawansowane możliwości
indeksowania i wyszukiwania. Ten pakiet zawiera pliki potrzebne przy
tworzeniu skryptów w Pythonie wykorzystujących Xapiana.

%package -n ruby-xapian
Summary:	Files needed for developing Ruby scripts which use Xapian
Summary(pl.UTF-8):	Pliki do tworzenia skryptów w języku Ruby wykorzystujących Xapiana
Group:		Development/Languages

%description -n ruby-xapian
Xapian is an Open Source Probabilistic Information Retrieval
framework. It offers a highly adaptable toolkit that allows developers
to easily add advanced indexing and search facilities to applications.
This package provides the files needed for developing Ruby scripts
which use Xapian.

%description -n ruby-xapian -l pl.UTF-8
Xapian to mająca otwarte źródła biblioteka do uzyskiwania informacji
probabilistycznych. Oferuje wysoce adoptowalne narzędzia pozwalające
programistom łatwo dodawać do aplikacji zaawansowane możliwości
indeksowania i wyszukiwania. Ten pakiet zawiera pliki potrzebne przy
tworzeniu skryptów w języku Ruby wykorzystujących Xapiana.

%package -n tcl-xapian
Summary:	Files needed for developing Tcl scripts which use Xapian
Summary(pl.UTF-8):	Pliki do tworzenia skryptów w Tcl-u wykorzystujących Xapiana
Group:		Development/Languages/Tcl
Requires:	tcl >= 8.1

%description -n tcl-xapian
Xapian is an Open Source Probabilistic Information Retrieval
framework. It offers a highly adaptable toolkit that allows developers
to easily add advanced indexing and search facilities to applications.
This package provides the files needed for developing TCL scripts
which use Xapian.

%description -n tcl-xapian -l pl.UTF-8
Xapian to mająca otwarte źródła biblioteka do uzyskiwania informacji
probabilistycznych. Oferuje wysoce adoptowalne narzędzia pozwalające
programistom łatwo dodawać do aplikacji zaawansowane możliwości
indeksowania i wyszukiwania. Ten pakiet zawiera pliki potrzebne przy
tworzeniu skryptów w Tcl-u wykorzystujących Xapiana.

%prep
%setup -q

%build
RUBY_LIB=%{ruby_vendorlibdir} \
RUBY_LIB_ARCH=%{ruby_vendorarchdir} \
%configure \
	%{?with_lua:LUA=/usr/bin/lua51 LUA_INC=/usr/include/lua51} \
	%{?with_dotnet:--with-csharp} \
	%{?with_java:--with-java} \
	%{?with_lua:--with-lua} \
	%{?with_python:--with-python} \
	%{?with_php:--with-php} \
	%{?with_ruby:--with-ruby} \
	%{?with_tcl:--with-tcl}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	jnidir=%{_jnidir} \
	phpincdir=%{php_data_dir}

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}

%if %{with java}
install -D java/built/xapian_jni.jar $RPM_BUILD_ROOT%{_javadir}/xapian_jni-%{version}.jar
ln -sf xapian_jni-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/xapian_jni.jar
%endif

for binding in %{?with_dotnet:csharp} %{?with_php:php} %{?with_python:python} %{?with_ruby:ruby} %{?with_tcl:tcl8}; do
	install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$binding
	cp -a $binding/docs/{index.html,examples} $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$binding
done

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HACKING NEWS README TODO
%{_examplesdir}/%{name}-%{version}

%if %{with dotnet}
%files -n dotnet-xapian
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/_XapianSharp.so
%dir %{_libdir}/mono
%{_libdir}/mono/XapianSharp
%dir %{_libdir}/mono/gac
%{_libdir}/mono/gac/XapianSharp
%endif

%if %{with java}
%files -n java-xapian
%defattr(644,root,root,755)
%attr(755,root,root) %{_jnidir}/libxapian_jni.so
%{_javadir}/xapian_jni-%{version}.jar
%{_javadir}/xapian_jni.jar
%endif

%if %{with lua}
%files -n lua-xapian
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lua/5.1/xapian.so
%endif

%if %{with php}
%files -n php-xapian
%defattr(644,root,root,755)
%attr(755,root,root) %{php_extensiondir}/xapian.so
%{php_data_dir}/xapian.php
%endif

%if %{with python}
%files -n python-xapian
%defattr(644,root,root,755)
%dir %{py_sitedir}/xapian
%attr(755,root,root) %{py_sitedir}/xapian/_xapian.so
%{py_sitedir}/xapian/__init__.py[co]
%endif

%if %{with ruby}
%files -n ruby-xapian
%defattr(644,root,root,755)
%attr(755,root,root) %{ruby_vendorarchdir}/_xapian.so
%{ruby_vendorlibdir}/xapian.rb
%endif

%if %{with tcl}
%files -n tcl-xapian
%defattr(644,root,root,755)
%dir %{_libdir}/xapian%{version}
%{_libdir}/xapian%{version}/pkgIndex.tcl
%attr(755,root,root) %{_libdir}/xapian%{version}/xapian.so
%endif
%changelog
* Mon Sep 16 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xapian-bindings.git;a=log;h=master

* Sun Sep 15 2013 Elan Ruusamäe <glen@delfi.ee> cfd2e7d
- build ruby to vendor dir

* Sat Sep 15 2012 Jakub Bogusz <qboosh@pld-linux.org> a470e98
- dotnet bcond fix

* Sat Sep 15 2012 Jakub Bogusz <qboosh@pld-linux.org> b8d8b44
- added lua binding

* Sat Sep 15 2012 Jakub Bogusz <qboosh@pld-linux.org> d7a94fb
- added perl note; XS and swig bindings are mutually exclusive

* Sat Sep 15 2012 Jakub Bogusz <qboosh@pld-linux.org> 47c8291
- added Java binding

* Fri Sep 14 2012 Jakub Bogusz <qboosh@pld-linux.org> 0672eac
- enabled dotnet by default

* Thu Sep 13 2012 Jakub Bogusz <qboosh@pld-linux.org> 8e1774c
- updated to 1.2.12
- pl
- unified C# package name (dotnet-* instead of csharp-*) and bcond (dotnet instead of csharp)

* Mon Aug 06 2012 Elan Ruusamäe <glen@delfi.ee> de2e358
- release 2 (by relup.sh)

* Wed Apr 11 2012 Mariusz Mazur <mmazur@pld-linux.org> dd60e8e
- up to 1.2.9

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 019d00d
- release 3

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1e18ef5
- release 2

* Wed Jun 09 2010 Elan Ruusamäe <glen@pld-linux.org> ca83ec2
- release 1

* Fri May 14 2010 sparky <sparky@pld-linux.org> 6fd25f5
- BR: python-modules, rpm-pythonprov

* Mon May 10 2010 Elan Ruusamäe <glen@pld-linux.org> 5889ba9
- up to 1.0.16
- bindings do not depend on main package, examples moved to main package

* Fri Oct 24 2008 Elan Ruusamäe <glen@pld-linux.org> 1741117
- license

* Thu Oct 23 2008 Elan Ruusamäe <glen@pld-linux.org> 9af7ec7
- based on src.from suse buildfactory

